aboutsummaryrefslogtreecommitdiffstats
path: root/deploy/adapters/ansible/roles/config-osa/files/collect-log.sh
diff options
context:
space:
mode:
authorwutianwei <wutianwei1@huawei.com>2018-01-30 14:58:25 +0800
committerwutianwei <wutianwei1@huawei.com>2018-01-30 14:58:25 +0800
commit68b619f36911eaf3deef8b8a3ec1ec655e86adf7 (patch)
treee633cc0e9557a9013f4013f0fb5801b348d55249 /deploy/adapters/ansible/roles/config-osa/files/collect-log.sh
parent7dfbe30d59e513da56fe34e3ffa44840a4c41ded (diff)
Collect log from rsyslog container
JIRA: COMPASS-579 the script collect-log.sh would be called by releng, after all the deploy and tests job are complete. Change-Id: Ic2604ca0650989bc13310377427694ededf75a9d Signed-off-by: wutianwei <wutianwei1@huawei.com>
Diffstat (limited to 'deploy/adapters/ansible/roles/config-osa/files/collect-log.sh')
-rwxr-xr-xdeploy/adapters/ansible/roles/config-osa/files/collect-log.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/deploy/adapters/ansible/roles/config-osa/files/collect-log.sh b/deploy/adapters/ansible/roles/config-osa/files/collect-log.sh
new file mode 100755
index 00000000..7f51a2c3
--- /dev/null
+++ b/deploy/adapters/ansible/roles/config-osa/files/collect-log.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2018 HUAWEI TECHNOLOGIES CO.,LTD and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+SCRIPT_PATH="$(dirname $(realpath ${BASH_SOURCE[0]}))"
+
+openstack-ansible $SCRIPT_PATH/collect-log.yml